---------------------------------------------------------------------------
-- Voxelis - Voxel survival sandbox for Luanti
-- Copyright (C) 2024 Mad Star Studio LLC
-- 
-- You should have received a copy of the GNU General Public License along
-- with this program; if not, see <http://www.gnu.org/licenses/>.
---------------------------------------------------------------------------

-- -------------------------------------------------------------- --
-- ALIASES
-- -------------------------------------------------------------- --
-- Aliases for map generators

-- All mapgens
minetest.register_alias("mapgen_stone", "vox_core:stone")
minetest.register_alias("mapgen_water_source", "vox_core:water_source")
minetest.register_alias("mapgen_river_water_source", "vox_core:river_water_source")

-- Additional aliases needed for mapgen v6
minetest.register_alias("mapgen_lava_source", "vox_core:lava_source")
minetest.register_alias("mapgen_dirt", "vox_core:dirt")
minetest.register_alias("mapgen_dirt_with_grass", "vox_core:dirt_with_grass")
minetest.register_alias("mapgen_sand", "vox_core:sand")
minetest.register_alias("mapgen_gravel", "vox_core:gravel")
minetest.register_alias("mapgen_desert_stone", "vox_core:desert_stone")
minetest.register_alias("mapgen_desert_sand", "vox_core:desert_sand")
minetest.register_alias("mapgen_dirt_with_snow", "vox_core:dirt_with_snow")
minetest.register_alias("mapgen_snowblock", "vox_core:snowblock")
minetest.register_alias("mapgen_snow", "vox_core:snow")
minetest.register_alias("mapgen_ice", "vox_core:ice")

minetest.register_alias("mapgen_tree", "vox_core:tree")
minetest.register_alias("mapgen_leaves", "vox_core:leaves")
minetest.register_alias("mapgen_apple", "vox_core:apple")
minetest.register_alias("mapgen_jungletree", "vox_core:jungletree")
minetest.register_alias("mapgen_jungleleaves", "vox_core:jungleleaves")
minetest.register_alias("mapgen_junglegrass", "vox_core:junglegrass")
minetest.register_alias("mapgen_pine_tree", "vox_core:pine_tree")
minetest.register_alias("mapgen_pine_needles", "vox_core:pine_needles")

minetest.register_alias("mapgen_cobble", "vox_core:cobble")
minetest.register_alias("mapgen_stair_cobble", "vox_structural:stair_cobble")
minetest.register_alias("mapgen_mossycobble", "vox_core:mossycobble")
minetest.register_alias("mapgen_stair_desert_stone", "vox_structural:stair_desert_stone")

-- Run our register_ scripts
dofile(minetest.get_modpath("vox_overworld").."/register_biomes.lua")
dofile(minetest.get_modpath("vox_overworld").."/register_decorations.lua")
dofile(minetest.get_modpath("vox_overworld").."/register_ores.lua")
